> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itential.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server.

# Get a provider definition

GET https://example.itential.io/model-registry-service/providers/{providerId}

Returns a single provider definition including required credential fields.

Reference: https://docs.itential.com/itential-platform/6/api-reference/model-registry-service/get-provider

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Path parameters

- `providerId` (string, required) — The provider ID.

## Response

### 200

The provider definition.

- `id` (string, required)
- `displayName` (string, required)
- `fields` (list of object, required)
  - `key` (string, required)
  - `label` (string, required)
  - `inputType` (enum, required)
    - Allowed values: `text`, `password`, `url`, `select`
  - `required` (boolean, required)
  - `placeholder` (string, optional)
  - `helperText` (string, optional)
  - `helperTextPlacement` (enum, optional)
    - Allowed values: `below`, `tooltip`
  - `options` (list of object, optional)
    - `label` (string, required)
    - `value` (string, required)
  - `dependsOn` (object, optional)
    - `key` (string, required)
    - `value` (string, required)
  - `revealable` (boolean, optional)
- `managedModels` (list of object, optional)
  - `name` (string, required)
  - `displayName` (string, required)

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Examples

**Response**

```json
{
  "id": "string",
  "displayName": "string",
  "fields": [
    {
      "key": "string",
      "label": "string",
      "inputType": "text",
      "required": true,
      "placeholder": "string",
      "helperText": "string",
      "helperTextPlacement": "below",
      "options": [
        {
          "label": "string",
          "value": "string"
        }
      ],
      "dependsOn": {
        "key": "string",
        "value": "string"
      },
      "revealable": true
    }
  ],
  "managedModels": [
    {
      "name": "string",
      "displayName": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/model-registry-service/providers/providerId"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/model-registry-service/providers/providerId';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/model-registry-service/providers/providerId"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/model-registry-service/providers/providerId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.itential.io/model-registry-service/providers/providerId")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.itential.io/model-registry-service/providers/providerId');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/model-registry-service/providers/providerId");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/model-registry-service/providers/providerId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```